Groovy Documentation

## groovy.lang
[Java] Class MissingPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException

    public class MissingPropertyException
    extends GroovyRuntimeException

An exception occurred if a dynamic property dispatch fails with an unknown property. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`static java.lang.Object` | `MPE`

Constructor Summary
`MissingPropertyException(java.lang.String property, java.lang.Class type)`
`MissingPropertyException(java.lang.String property, java.lang.Class type, java.lang.Throwable t)`
`MissingPropertyException(java.lang.String message)`
`MissingPropertyException(java.lang.String message, java.lang.String property, java.lang.Class type)`

Method Summary
`java.lang.String` | `getMessageWithoutLocationText()`
`java.lang.String` | `getProperty()` @return the name of the property that could not be found
`java.lang.Class` | `getType()` @return The type on which the property was attempted to be called

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Field Detail

### MPE

    public static final java.lang.Object MPE

Constructor Detail

### MissingPropertyException

    public MissingPropertyException(java.lang.String property, java.lang.Class type)

### MissingPropertyException

    public MissingPropertyException(java.lang.String property, java.lang.Class type, java.lang.Throwable t)

### MissingPropertyException

    public MissingPropertyException(java.lang.String message)

### MissingPropertyException

    public MissingPropertyException(java.lang.String message, java.lang.String property, java.lang.Class type)

Method Detail

### getMessageWithoutLocationText

    public java.lang.String getMessageWithoutLocationText()

### getProperty

    public java.lang.String getProperty()

  Returns:
    the name of the property that could not be found

### getType

    public java.lang.Class getType()

  Returns:
    The type on which the property was attempted to be called

Groovy Documentation